Subject: [bug#69091] bug#69119: [PATCH v2 1/1] gnu: Add clojure.java-time.

From: Steve George <[email-masked]>
Date: Sun, 3 Mar 2024 16:45:10 +0000

Hi Ludo,

I got blocked as this patch caused me to look at whether we should be compiling to byte-code by default. I have not been able to achieve consensus so far (and have taken some time off from the thread):

https://lists.gnu.org/archive/html/guix-devel/2024-02/msg00241.html

Having been unable to convince others I also asked the Clojure community:

https://clojureverse.org/t/should-linux-distributions-ship-clojure-byte-compiled-aot-or-not/10595

Their perspective is that:

a. We should not byte-code compile libraries (what Clojure calls AOT), but we could do so for tools/apps.
b. We should not package libraries at all

>From both interactions I'm unsure if packaging this (or any other Clojure libs/tools) is the right move. 

Steve

On  2 Mar, Ludovic Courtès wrote:
> Hi Steve,
> 
> Did you have a chance to look into Andreas’ comments about this patch?
> 
>   https://issues.guix.gnu.org/69119
> 
> Ludo’.
> 
> Andreas Enge <[email-masked]> skribis:
> 
> > Hello,
> >
> > according to our naming convention
> >    https://guix.gnu.org/de/manual/devel/en/html_node/Package-Naming.html
> >    https://guix.gnu.org/de/manual/devel/en/html_node/Python-Modules.html
> > I think the package should be called clojure-java-time (well, this is not
> > spelt out precisely, but we could argue by analogy, and by consistency with
> > the existing clojure packages).
> >
> > I know nothing about clojure, but am wondering about two things:
> > - There is one other package with #:aot-exclude '(#:all), which gives
> >   an explanation why the line is there; could you add one here as well?
> > - Would it make sense to package math.combinatorics first to enable the
> >   tests? If we do not test now, I am afraid we will forget it later...
> >
> > Andreas